Publish a server to the MCP registry
curl --request POST \
--url https://api.alpic.ai/v1/distribution/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"websiteUrl": "<string>",
"iconSrc": "<string>",
"dryRun": true
}
'import requests
url = "https://api.alpic.ai/v1/distribution/publish"
payload = {
"projectId": "<string>",
"domain": "<string>",
"title": "<string>",
"description": "<string>",
"websiteUrl": "<string>",
"iconSrc": "<string>",
"dryRun": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
domain: '<string>',
title: '<string>',
description: '<string>',
websiteUrl: '<string>',
iconSrc: '<string>',
dryRun: true
})
};
fetch('https://api.alpic.ai/v1/distribution/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serverFields": {
"$schema": "<string>",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"title": "<string>",
"websiteUrl": "<string>",
"icons": [
{
"src": "<string>",
"mimeType": "<string>",
"sizes": [
"<string>"
]
}
],
"remotes": [
{
"type": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"description": "<string>",
"isRequired": true,
"isSecret": true
}
]
}
]
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}distribution
Publish a server to the MCP registry
POST
/
v1
/
distribution
/
publish
Publish a server to the MCP registry
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Body
application/json
Response
The server has been published successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I